<template>
  <router-view></router-view>
</template>

<script>
import { getCurrentInstance } from "vue";

export default {
  name: "App",
  setup() {
    const { proxy } = getCurrentInstance();
    function change(type) {
      proxy.$i18n.locale = type;
    }
    return { change };
  },
  data() {
    return {};
  }
};
</script>

<style rel="stylesheet/scss" lang="scss">
// element-ui警告弹框对移动端优化
@media screen and (max-width: 450px) {
  .el-message {
    min-width: 80%;
  }
}
</style>
